commit: 91b2760fcab5a3a951809d591acfd2f8446c2281
Author: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 31 17:53:00 2025 +0000
Commit: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Sun Aug 31 17:53:00 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91b2760f
mail-mta/proton-mail-bridge: add 3.21.2
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
mail-mta/proton-mail-bridge/Manifest | 2 +
.../proton-mail-bridge-3.21.2.ebuild | 121 +++++++++++++++++++++
2 files changed, 123 insertions(+)
diff --git a/mail-mta/proton-mail-bridge/Manifest
b/mail-mta/proton-mail-bridge/Manifest
index 7d11765c0857..1efccbf1477e 100644
--- a/mail-mta/proton-mail-bridge/Manifest
+++ b/mail-mta/proton-mail-bridge/Manifest
@@ -1,2 +1,4 @@
DIST proton-mail-bridge-3.20.0-vendor.tar.xz 7565448 BLAKE2B
df6c04fe9f51a41e8e5e39a05f6524a54e15ef35f26bd4f14b7a8c1141f4680a89c6432cba4d4263401d9db26ad9da47755542a4105342cf81a5e2f2b12a5061
SHA512
32e6345bdd2fedad950249f09b6cad983d20730a5c56440ac9f6415101c890423ac83e0be9da44a879b239290d29b6ad640e0d95a505bc42d797cdd7ce4eba4a
DIST proton-mail-bridge-3.20.0.tar.gz 5440605 BLAKE2B
d7969b56d69e1ccc0ad4efe26dd5f25424c14cc23e847999f16976164d370ae4d670c3a91f6c5bd3a89bc10cf040665c8b05e8d003cb496f9e848ed4ed16ad33
SHA512
51c31d752438cacdf0a4a8fc6176b8392b2a0e6dcf0f8ef23bcb41c9950b0ba96d0791072f34d319c37baecd798dc7473a78492706918188651844ab9c5cdda4
+DIST proton-mail-bridge-3.21.2-vendor.tar.xz 7587112 BLAKE2B
d0a22339c821be7e04f55d537aba1bd0711ab7d82f5f43a5d1a18cf989b031785b0007c755e2606d599b9402895fa2a5719285efea305603da2d487e414c5cc2
SHA512
2abd1b6ec92b670c5d7dcb622f9a193dcc76b36d4971e779ffd1976607a59b66ed8e36e593f1ebd46f3e73882b1d4d9027b7a496b63c14f66c645bbe84b10820
+DIST proton-mail-bridge-3.21.2.tar.gz 5451784 BLAKE2B
9d3dd997d9432ff8a46fde41bc0047ecffb2b8ad420575ae93e6030865bb8869b1d691750a851e9cfa80dbc439b8693eec05d275dc302722aa875a27763a3a22
SHA512
5809aeaf00d25b97832e62932b1acc8f5d3fc6adc356b87203b3ea74e44869e815bf67fbc3f92c8b9f0cd22969ffb6e669093113b71b1da9fcf21474b9e0e1c8
diff --git a/mail-mta/proton-mail-bridge/proton-mail-bridge-3.21.2.ebuild
b/mail-mta/proton-mail-bridge/proton-mail-bridge-3.21.2.ebuild
new file mode 100644
index 000000000000..45e226e2215b
--- /dev/null
+++ b/mail-mta/proton-mail-bridge/proton-mail-bridge-3.21.2.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop go-env go-module systemd xdg-utils
+
+MY_PN="${PN/-mail/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Serves Proton Mail to IMAP/SMTP clients"
+HOMEPAGE="https://proton.me/mail/bridge
https://github.com/ProtonMail/proton-bridge/"
+SRC_URI="https://github.com/ProtonMail/${MY_PN}/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz
+
https://dev.gentoo.org/~expeditioneer/distfiles/${CATEGORY}/${PN}/${P}-vendor.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-3+ Apache-2.0 BSD BSD-2 ISC LGPL-3+ MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="gui"
+
+# Quite a few tests require Internet access
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ app-crypt/libsecret
+ gui? (
+ >=dev-libs/protobuf-21.12:=
+ dev-libs/re2:=
+ >=dev-libs/sentry-native-0.6.5-r1
+ dev-qt/qtbase:6=[gui,icu,widgets]
+ dev-qt/qtdeclarative:6=[widgets]
+ dev-qt/qtsvg:6=
+ media-libs/mesa
+ net-libs/grpc:=
+ )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.15.1-gui_gentoo.patch
+)
+
+# $S is there for bug 957684
+DOCS=( "${S}"/{README,Changelog}.md )
+
+src_unpack() {
+ default
+
+ if [[ -d "${WORKDIR}"/vendor ]]; then # if we ship the dependencies
+ mv "${WORKDIR}"/vendor "${S}"/vendor || die # move them into
the tree
+ fi
+
+ go-env_set_compile_environment
+}
+
+src_prepare() {
+ xdg_environment_reset
+ default
+ if use gui; then
+ # prepare desktop file
+ local desktopFilePath="${S}"/dist/${MY_PN}.desktop
+ sed -i 's/protonmail/proton-mail/g' ${desktopFilePath} || die
+ sed -i
's/Exec=proton-mail-bridge/Exec=proton-mail-bridge-gui/g' ${desktopFilePath} ||
die
+
+ # build GUI
+ local PATCHES=()
+ BUILD_DIR="${WORKDIR}"/gui_build \
+
CMAKE_USE_DIR="${S}"/internal/frontend/bridge-gui/bridge-gui \
+ cmake_src_prepare
+ fi
+}
+
+src_configure() {
+ if use gui; then
+ local mycmakeargs=(
+ -DBRIDGE_APP_FULL_NAME="Proton Mail Bridge"
+ -DBRIDGE_APP_VERSION="${PV}+git"
+ -DBRIDGE_REPO_ROOT="${S}"
+ -DBRIDGE_TAG="NOTAG"
+ -DBRIDGE_VENDOR="Gentoo Linux"
+ -DCMAKE_DISABLE_PRECOMPILE_HEADERS=OFF
+ )
+ BUILD_DIR="${WORKDIR}"/gui_build \
+
CMAKE_USE_DIR="${S}"/internal/frontend/bridge-gui/bridge-gui \
+ cmake_src_configure
+ fi
+}
+
+src_compile() {
+ emake -Onone build-nogui
+
+ if use gui; then
+ BUILD_DIR="${WORKDIR}"/gui_build \
+
CMAKE_USE_DIR="${S}"/internal/frontend/bridge-gui/bridge-gui \
+ cmake_src_compile
+ fi
+}
+
+src_test() {
+ emake -Onone test
+}
+
+src_install() {
+ exeinto /usr/bin
+ newexe bridge ${PN}
+
+ if use gui; then
+ BUILD_DIR="${WORKDIR}"/gui_build \
+
CMAKE_USE_DIR="${S}"/internal/frontend/bridge-gui/bridge-gui \
+ cmake_src_install
+ mv "${ED}"/usr/bin/bridge-gui "${ED}"/usr/bin/${PN}-gui || die
+ newicon {"${S}"/dist/bridge,${PN}}.svg
+ newmenu {dist/${MY_PN},${PN}}.desktop
+ fi
+
+ systemd_newuserunit "${FILESDIR}"/${PN}.service-r1 ${PN}.service
+
+ einstalldocs
+}